.main_icons {
    left: 0;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    top: 0;
    position: relative;
}

.share_to_social {
    cursor: pointer;
    padding:5px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.share_to_social > img {
    max-width: 100%;
}

.share_to_social div {
    position: absolute;
    width:100%;
    transition:all .1s ease;
    overflow: hidden;
    max-height: 0;
    padding-left: 5px;
}

.share_to_social:hover  div {
    max-height: 110px;
}
@media all and (max-width: 900px) {
    .main_icons {
        width: 35px;
    }
}

